export function useLocalStorage(name, initialValue) {

    const get = () => localStorage.getItem(name);
    const del = () => localStorage.removeItem(name);
    const set = (value) => { 
        localStorage.setItem(name, value); 
        return value;
    }

    if (get() === null) {
        set(initialValue);
    }

    return [get, set, del]
}

export function useSessionStorage(name, initialValue) {

    const get = () => sessionStorage.getItem(name);
    const del = () => sessionStorage.removeItem(name);
    const set = (value) => { 
        sessionStorage.setItem(name, value); 
        return value;
    }

    if (get() === null) {
        set(initialValue);
    }

    return [get, set, del]
}